import { __decorate, __extends, __metadata } from "tslib";
import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Store } from '@ngrx/store';
import { BaseService } from './base.service';
import { E1Actions } from './store/actions';
import { BATCHFORM_SERVICE } from './request';
var BatchformService = /** @class */ (function (_super) {
    __extends(BatchformService, _super);
    function BatchformService(http, store) {
        var _this = _super.call(this) || this;
        _this.http = http;
        _this.store = store;
        return _this;
    }
    Object.defineProperty(BatchformService.prototype, "request", {
        get: function () { return this.batchformRequest; },
        set: function (batchformRequest) {
            this.batchformRequest = batchformRequest;
        },
        enumerable: true,
        configurable: true
    });
    BatchformService.prototype.clear = function () {
        this.store.dispatch(new E1Actions.ClearAction({
            batchformResponse: undefined
        }));
    };
    BatchformService.prototype.call = function (callback) {
        var _this = this;
        if (callback === void 0) { callback = {}; }
        this.store.dispatch(new E1Actions.BatchFormRequestAction({
            batchformRequest: this.batchformRequest
        }));
        var cb = Object.assign({}, this.defaultCallback, callback);
        this.batchformRequest.deviceName = BaseService.deviceName;
        this.batchformRequest.token = BaseService.token;
        var json = JSON.stringify(this.batchformRequest);
        this.http.post("" + BaseService.baseUrl + BATCHFORM_SERVICE, json, { headers: BaseService.headers })
            .subscribe(function (batchformResponse) {
            _this.store.dispatch(new E1Actions.BatchformResponseAction({ batchformResponse: batchformResponse }));
            cb.success(batchformResponse);
            cb.done();
        }, function (e) {
            _this.store.dispatch(new E1Actions.BatchformRequestFailedAction(e.statusText));
            cb.error(e);
            cb.done();
        });
    };
    BatchformService = __decorate([
        Injectable(),
        __metadata("design:paramtypes", [HttpClient,
            Store])
    ], BatchformService);
    return BatchformService;
}(BaseService));
export { BatchformService };
//# sourceMappingURL=batchform.service.js.map