import { __decorate, __extends, __metadata } from "tslib";
import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Store } from '@ngrx/store';
import { BaseService } from './base.service';
import { E1Actions } from './store/actions';
import { DATA_SERVICE } from './request';
var DatabrowserService = /** @class */ (function (_super) {
    __extends(DatabrowserService, _super);
    function DatabrowserService(http, store) {
        var _this = _super.call(this) || this;
        _this.http = http;
        _this.store = store;
        return _this;
    }
    Object.defineProperty(DatabrowserService.prototype, "request", {
        set: function (databrowserRequest) {
            this.databrowserRequest = databrowserRequest;
        },
        enumerable: true,
        configurable: true
    });
    DatabrowserService.prototype.clear = function () {
        this.store.dispatch(new E1Actions.ClearAction({
            formResponse: undefined
        }));
    };
    DatabrowserService.prototype.call = function (callback) {
        var _this = this;
        if (callback === void 0) { callback = {}; }
        this.store.dispatch(new E1Actions.DatabrowserRequestAction({
            databrowserRequest: this.databrowserRequest
        }));
        var cb = Object.assign({}, this.defaultCallback, callback);
        this.databrowserRequest.deviceName = BaseService.deviceName;
        this.databrowserRequest.token = BaseService.token;
        var json = JSON.stringify(this.databrowserRequest);
        this.http.post("" + BaseService.baseUrl + DATA_SERVICE, json, { headers: BaseService.headers })
            .subscribe(function (databrowserResponse) {
            _this.store.dispatch(new E1Actions.DatabrowserResponseAction({ databrowserResponse: databrowserResponse }));
            cb.success(databrowserResponse);
            cb.done();
        }, function (e) {
            _this.store.dispatch(new E1Actions.DatabrowserRequestFailedAction(e.statusText));
            cb.error(e);
            cb.done();
        });
    };
    DatabrowserService = __decorate([
        Injectable(),
        __metadata("design:paramtypes", [HttpClient,
            Store])
    ], DatabrowserService);
    return DatabrowserService;
}(BaseService));
export { DatabrowserService };
//# sourceMappingURL=databrowser.service.js.map