import { __decorate, __extends, __metadata } from "tslib";
import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Store } from '@ngrx/store';
import { BaseService } from './base.service';
import { E1Actions } from './store/actions';
import { FORM_SERVICE } from './request';
var FormService = /** @class */ (function (_super) {
    __extends(FormService, _super);
    function FormService(http, store) {
        var _this = _super.call(this) || this;
        _this.http = http;
        _this.store = store;
        return _this;
    }
    Object.defineProperty(FormService.prototype, "request", {
        set: function (formRequest) {
            this.formRequest = formRequest;
        },
        enumerable: true,
        configurable: true
    });
    FormService.prototype.clear = function () {
        this.store.dispatch(new E1Actions.ClearAction({
            formResponse: undefined
        }));
    };
    FormService.prototype.call = function (callback) {
        var _this = this;
        if (callback === void 0) { callback = {}; }
        this.store.dispatch(new E1Actions.FormRequestAction({
            formRequest: this.formRequest
        }));
        var cb = Object.assign({}, this.defaultCallback, callback);
        this.formRequest.deviceName = BaseService.deviceName;
        this.formRequest.token = BaseService.token;
        var json = JSON.stringify(this.formRequest);
        this.http.post("" + BaseService.baseUrl + FORM_SERVICE, json, { headers: BaseService.headers })
            .subscribe(function (formResponse) {
            _this.store.dispatch(new E1Actions.FormResponseAction({ formResponse: formResponse }));
            cb.success(formResponse);
            cb.done();
        }, function (e) {
            _this.store.dispatch(new E1Actions.FormRequestFailedAction(e.statusText));
            cb.error(e);
            cb.done();
        });
    };
    FormService = __decorate([
        Injectable(),
        __metadata("design:paramtypes", [HttpClient,
            Store])
    ], FormService);
    return FormService;
}(BaseService));
export { FormService };
//# sourceMappingURL=form.service.js.map