export declare const DEFAULTCONFIG = "defaultconfig";
export declare const TOKENREQUEST = "tokenrequest";
export declare const LOGOUT = "tokenrequest/logout";
export declare const FORM_SERVICE: string;
export declare const DATA_SERVICE: string;
export declare const BATCHFORM_SERVICE: string;
export declare const GET_TEXT: string;
export declare const UPDATE_TEXT: string;
export declare const LIST: string;
export declare const UPLOAD: string;
export declare const DOWNLOAD: string;
export declare class Input {
    id: string;
    value: string;
}
export declare class ColumnEvent {
    command: string;
    value: string;
    columnID: string;
}
export declare class RowEvent {
    rowNumber: number;
    gridColumnEvents: ColumnEvent[];
}
export declare class Grid {
    gridID: string;
}
export declare class GridInsert extends Grid {
    gridRowInsertEvents: RowEvent[];
}
export declare class GridUpdate extends Grid {
    gridRowUpdateEvents: RowEvent[];
}
export declare class Action {
}
export declare class GridAction extends Action {
    gridAction: Grid;
}
export declare class FormAction extends Action {
    controlID: string;
    command: string;
    value: string;
}
export declare class Value {
    content: string;
    specialValueId: string;
}
export declare class Condition {
    value: Value[];
    controlId: string;
    operator: string;
}
export declare class Query {
    condition: Condition[];
    autoFind: boolean;
    matchType: string;
    autoClear: boolean;
}
export declare class Request {
    formName: string;
    version: string;
    token: string;
    deviceName: string;
    findOnEntry: string;
    returnControlIDs: string;
    maxPageSize: string;
    aliasNaming: boolean;
    query: Query;
    outputType: string;
}
export declare class FormRequest extends Request {
    formServiceAction: string;
    stopOnWarning: string;
    queryObjectName: string;
    formInputs: Input[];
    formActions: Action[];
}
export declare class DatabrowserRequest extends Request {
    targetName: string;
    targetType: string;
    dataServiceType: string;
}
export declare class BatchformRequest {
    formRequests: FormRequest[];
    token: string;
    deviceName: string;
}
export declare class MoRequest extends Request {
    moStructure: string;
    moKey: string[];
    inputText: string;
    appendText: boolean;
    includeURLs: boolean;
    includeData: boolean;
    moTypes: string[];
    extensions: string[];
    thumbnailSize: string;
    height: number;
    width: number;
    fileName: string;
    fileLocation: string;
    itemName: string;
    sequence: number;
    thumbFileLocation: string;
    downloadURL: string;
}
export declare class AuthRequest {
    username: string;
    password: string;
    deviceName: string;
    requiredCapabilities: string;
}
