export interface IFormValue {
    value: number | string;
}
export interface ICell {
    title: string;
    longName: string;
    assocDesc: string;
    value: string;
}
export interface IValue extends ICell {
    internalValue: string;
}
export interface INumber extends ICell {
    internalValue: number;
}
export interface IRow {
    rowIndex: number;
}
export interface ISummary {
    records: number;
    moreRecords: boolean;
}
export interface IGridData<R> {
    id: number;
    titles: any;
    rowset: R[];
    summary: ISummary;
}
export interface IFormData<R> {
    gridData: IGridData<R>;
}
export interface IErrorWarning {
    CODE: string;
    TITLE: string;
    ERRORCONTROL: string;
    DESC: string;
    MOBILE?: string;
}
export interface IResponse {
    message?: string;
    exception?: string;
    timeStamp?: string;
}
export interface IForm<F> {
    data: F;
    title: string;
    errors: IErrorWarning[];
    warnings: IErrorWarning[];
}
export interface IFormResponse extends IResponse {
    stackId?: string;
    rid?: string;
    currentApp?: string;
    sysErrors?: string;
}
export interface IUserInfo {
    token: string;
    langPref: string;
    locale: string;
    dateFormat: string;
    dateSeperator: string;
    simpleDateFormat: string;
    decimalFormat: string;
    addressNumber: string;
    alphaName: string;
    appsRelease: string;
    country: string;
}
export interface IAuthResponse extends IResponse {
    username: string;
    environment: string;
    role: string;
    jasserver: string;
    userInfo: IUserInfo;
    userAuthorized: string;
    version: string;
    aisSessionCookie: string;
    adminAuthorized: string;
}
