import { __decorate, __extends, __metadata } from "tslib";
import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Store } from '@ngrx/store';
import { BaseService } from './base.service';
import { initialServerState } from './store/state';
import { E1Actions } from './store/actions';
import { DEFAULTCONFIG, TOKENREQUEST, LOGOUT } from './request';
var SignonService = /** @class */ (function (_super) {
    __extends(SignonService, _super);
    function SignonService(http, store) {
        var _this = _super.call(this) || this;
        _this.http = http;
        _this.store = store;
        _this.inCall = false;
        _this.authRequest = initialServerState.authRequest;
        return _this;
    }
    SignonService.prototype.invalidateToken = function () { BaseService.token = ''; };
    Object.defineProperty(SignonService.prototype, "hasToken", {
        get: function () { return BaseService.token.length > 0; },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(SignonService.prototype, "baseUrl", {
        get: function () { return BaseService.baseUrl; },
        set: function (baseUrl) { BaseService.baseUrl = baseUrl; },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(SignonService.prototype, "deviceName", {
        get: function () { return this.authRequest.deviceName; },
        set: function (deviceName) {
            BaseService.deviceName = deviceName;
            this.authRequest.deviceName = deviceName;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(SignonService.prototype, "requiredCapabilities", {
        get: function () {
            return this.authRequest.requiredCapabilities;
        },
        set: function (requiredCapabilities) {
            this.authRequest.requiredCapabilities = requiredCapabilities;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(SignonService.prototype, "username", {
        get: function () { return this.authRequest.username; },
        set: function (username) { this.authRequest.username = username; },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(SignonService.prototype, "password", {
        get: function () { return this.authRequest.password; },
        set: function (password) { this.authRequest.password = password; },
        enumerable: true,
        configurable: true
    });
    SignonService.prototype.testUrl = function (baseUrl, callback) {
        var _this = this;
        if (callback === void 0) { callback = {}; }
        var cb = Object.assign({}, this.defaultCallback, callback);
        this.store.dispatch(new E1Actions.ConfigRequestAction({ baseUrl: baseUrl }));
        this.http.get("" + baseUrl + DEFAULTCONFIG)
            .subscribe(function (defaultconfig) {
            BaseService.baseUrl = baseUrl;
            _this.store.dispatch(new E1Actions.ConfigResponesAction({ defaultconfig: defaultconfig }));
            cb.success(defaultconfig);
            cb.done();
        }, function (e) {
            _this.store.dispatch(new E1Actions.ConfigRequestFailedAction(e.statusText));
            cb.error(e);
            cb.done();
        });
    };
    SignonService.prototype.authenticate = function (callback) {
        var _this = this;
        if (callback === void 0) { callback = {}; }
        var cb = Object.assign({}, this.defaultCallback, callback);
        this.store.dispatch(new E1Actions.AuthRequestAction({
            authRequest: this.authRequest
        }));
        var json = JSON.stringify(this.authRequest);
        this.inCall = true;
        this.http.post("" + BaseService.baseUrl + TOKENREQUEST, json, { headers: BaseService.headers })
            .subscribe(function (authResponse) {
            BaseService.token = authResponse.userInfo.token;
            _this.store.dispatch(new E1Actions.AuthResponseAction({ authResponse: authResponse }));
            _this.inCall = false;
            cb.success(authResponse);
            cb.done();
        }, function (e) {
            _this.store.dispatch(new E1Actions.AuthRequestFailedAction(e.statusText));
            _this.inCall = false;
            cb.error(e);
            cb.done();
        });
    };
    SignonService.prototype.logout = function () {
        var _this = this;
        var json = JSON.stringify({
            token: BaseService.token
        });
        console.log(json);
        this.http.post("" + BaseService.baseUrl + LOGOUT, json, { headers: BaseService.headers })
            .subscribe(function (response) {
            _this.store.dispatch(new E1Actions.ResetAction(''));
        });
    };
    SignonService = __decorate([
        Injectable(),
        __metadata("design:paramtypes", [HttpClient,
            Store])
    ], SignonService);
    return SignonService;
}(BaseService));
export { SignonService };
//# sourceMappingURL=signon.service.js.map