import { Action } from '@ngrx/store';
import { AuthRequest, FormRequest, DatabrowserRequest, BatchformRequest, MoRequest } from '../request';
import { IAuthResponse, IFormResponse } from '../response';
export declare enum E1ActionTypes {
    CONFIG_REQUEST = "CONFIG_REQUEST",
    AUTH_REQUEST = "AUTH_REQUEST",
    FORM_REQUEST = "FORM_REQUEST",
    DATABROWSER_REQUEST = "DATABROWSER_REQUEST",
    BATCHFORM_REQUEST = "BATCHFORM_REQUEST",
    MO_REQUEST = "MO_REQUEST",
    CONFIG_RESPONSE = "CONFIG_RESPONSE",
    AUTH_RESPONSE = "AUTH_RESPONSE",
    FORM_RESPONSE = "FORM_RESPONSE",
    DATABROWSER_RESPONSE = "DATABROWSER_RESPONSE",
    BATCHFORM_RESPONSE = "BATCHFORM_RESPONSE",
    MO_RESPONSE = "MO_RESPONSE",
    CONFIG_REQUEST_FAIL = "CONFIG_REQUEST_FAIL",
    AUTH_REQUEST_FAIL = "AUTH_REQUEST_FAIL",
    FORM_REQUEST_FAIL = "FORM_REQUEST_FAIL",
    DATABROWSER_REQUEST_FAIL = "DATABROWSER_REQUEST_FAIL",
    BATCHFORM_REQUEST_FAIL = "BATCHFORM_REQUEST_FAIL",
    MO_REQUEST_FAIL = "MO_REQUEST_FAIL",
    CLEAR = "SERVER_CLEAR",
    RESET = "SERVER_RESET"
}
export declare namespace E1Actions {
    class ConfigRequestAction implements Action {
        payload: {
            baseUrl: string;
        };
        readonly type = E1ActionTypes.CONFIG_REQUEST;
        constructor(payload: {
            baseUrl: string;
        });
    }
    class ConfigResponesAction implements Action {
        payload: {
            defaultconfig: any;
        };
        readonly type = E1ActionTypes.CONFIG_RESPONSE;
        constructor(payload: {
            defaultconfig: any;
        });
    }
    class ConfigRequestFailedAction implements Action {
        payload: string;
        readonly type = E1ActionTypes.CONFIG_REQUEST_FAIL;
        constructor(payload: string);
    }
    type ConfigActions = ConfigRequestAction | ConfigResponesAction | ConfigRequestFailedAction;
    class AuthRequestAction implements Action {
        payload: {
            authRequest: AuthRequest;
        };
        readonly type = E1ActionTypes.AUTH_REQUEST;
        constructor(payload: {
            authRequest: AuthRequest;
        });
    }
    class AuthResponseAction implements Action {
        payload: {
            authResponse: IAuthResponse;
        };
        readonly type = E1ActionTypes.AUTH_RESPONSE;
        constructor(payload: {
            authResponse: IAuthResponse;
        });
    }
    class AuthRequestFailedAction implements Action {
        payload: string;
        readonly type = E1ActionTypes.AUTH_REQUEST_FAIL;
        constructor(payload: string);
    }
    type AuthActions = AuthRequestAction | AuthResponseAction | AuthRequestFailedAction;
    class FormRequestAction implements Action {
        payload: {
            formRequest: FormRequest;
        };
        readonly type = E1ActionTypes.FORM_REQUEST;
        constructor(payload: {
            formRequest: FormRequest;
        });
    }
    class FormResponseAction implements Action {
        payload: {
            formResponse: IFormResponse;
        };
        readonly type = E1ActionTypes.FORM_RESPONSE;
        constructor(payload: {
            formResponse: IFormResponse;
        });
    }
    class FormRequestFailedAction implements Action {
        payload: string;
        readonly type = E1ActionTypes.FORM_REQUEST_FAIL;
        constructor(payload: string);
    }
    type FormActions = FormRequestAction | FormResponseAction | FormRequestFailedAction;
    class DatabrowserRequestAction implements Action {
        payload: {
            databrowserRequest: DatabrowserRequest;
        };
        readonly type = E1ActionTypes.DATABROWSER_REQUEST;
        constructor(payload: {
            databrowserRequest: DatabrowserRequest;
        });
    }
    class DatabrowserResponseAction implements Action {
        payload: {
            databrowserResponse: IFormResponse;
        };
        readonly type = E1ActionTypes.DATABROWSER_RESPONSE;
        constructor(payload: {
            databrowserResponse: IFormResponse;
        });
    }
    class DatabrowserRequestFailedAction implements Action {
        payload: string;
        readonly type = E1ActionTypes.DATABROWSER_REQUEST_FAIL;
        constructor(payload: string);
    }
    type DatabrowserActions = DatabrowserRequestAction | DatabrowserResponseAction | DatabrowserRequestFailedAction;
    class BatchFormRequestAction implements Action {
        payload: {
            batchformRequest: BatchformRequest;
        };
        readonly type = E1ActionTypes.BATCHFORM_REQUEST;
        constructor(payload: {
            batchformRequest: BatchformRequest;
        });
    }
    class BatchformResponseAction implements Action {
        payload: {
            batchformResponse: any;
        };
        readonly type = E1ActionTypes.BATCHFORM_RESPONSE;
        constructor(payload: {
            batchformResponse: any;
        });
    }
    class BatchformRequestFailedAction implements Action {
        payload: string;
        readonly type = E1ActionTypes.BATCHFORM_REQUEST_FAIL;
        constructor(payload: string);
    }
    type BatchformActions = BatchFormRequestAction | BatchformResponseAction | BatchformRequestFailedAction;
    class MoRequestAction implements Action {
        payload: {
            moRequest: MoRequest;
        };
        readonly type = E1ActionTypes.MO_REQUEST;
        constructor(payload: {
            moRequest: MoRequest;
        });
    }
    class MoResponseAction implements Action {
        payload: {
            moResponse: any;
        };
        readonly type = E1ActionTypes.MO_RESPONSE;
        constructor(payload: {
            moResponse: any;
        });
    }
    class MoRequestFailedAction implements Action {
        payload: string;
        readonly type = E1ActionTypes.MO_REQUEST_FAIL;
        constructor(payload: string);
    }
    type MoActions = MoRequestAction | MoResponseAction | MoRequestFailedAction;
    class ClearAction implements Action {
        payload: any;
        readonly type = E1ActionTypes.CLEAR;
        constructor(payload: any);
    }
    class ResetAction implements Action {
        payload: any;
        readonly type = E1ActionTypes.RESET;
        constructor(payload: any);
    }
    type AllActions = ConfigActions | AuthActions | FormActions | DatabrowserActions | BatchformActions | MoActions | ClearAction | ResetAction;
}
