import { AuthRequest, FormRequest, DatabrowserRequest, BatchformRequest, MoRequest } from '../request';
import { IAuthResponse, IFormResponse } from '../response';
export declare enum StatusTypes {
    STATUS_OFF = "STATUS_OFF",
    STATUS_READY = "STATUS_READY",
    STATUS_BUSY = "STATUS_BUSY",
    STATUS_ERROR = "STATUS_ERROR"
}
export interface IServerState {
    status: string;
    error: string;
    baseUrl: string;
    requestCnt: number;
    authRequest: AuthRequest;
    formRequest?: FormRequest;
    databrowserRequest?: DatabrowserRequest;
    defaultconfig?: any;
    authResponse?: IAuthResponse;
    formResponse?: IFormResponse;
    databrowserResponse?: IFormResponse;
    batchformRequest?: BatchformRequest;
    batchformResponse?: any;
    moRequest?: MoRequest;
    moResponse?: any;
}
export declare const initialServerState: IServerState;
