import { NgModule, CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { HttpClientModule } from '@angular/common/http';

import { StoreModule } from '@ngrx/store';

import { BaseService } from './src/base.service';
import { SignonService } from './src/signon.service';
import { FormService } from './src/form.service';
import { DatabrowserService } from './src/databrowser.service';
import { BatchformService } from './src/batchform.service';
import { MoService } from './src/mo.service';

export { BaseService } from './src/base.service';
export { SignonService } from './src/signon.service';
export { FormService } from './src/form.service';
export { DatabrowserService } from './src/databrowser.service';
export { BatchformService } from './src/batchform.service';
export { MoService } from './src/mo.service';

export * from './src/store/state';
export * from './src/store/actions';
export * from './src/store/reducer';
export * from './src/request';
export * from './src/response';
export * from './src/func.helper';

@NgModule({
  imports: [
    HttpClientModule
  ],
  declarations: [
  ],
  providers: [
    BaseService,
    SignonService,
    FormService,
    DatabrowserService,
    BatchformService,
    MoService
  ],
  exports: [
  ],
  schemas: [
    CUSTOM_ELEMENTS_SCHEMA
  ]
})
export class E1ServiceModule {
}
